<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
    </files>

    <variables>

        <family name='EoleAD'>
            <variable name='ad_public_address' type='ip' description='Adresse IP publique Active Directory ' mandatory='True' />
        </family>

    </variables>

    <constraints>

        <check name="valid_in_network" target="ad_public_address">
            <param type='eole'>adresse_network_eth0</param>
            <param type='eole'>adresse_netmask_eth0</param>
        </check>
        <check name="valid_differ" target="ad_public_address">
            <param type='eole'>adresse_ip_eth0</param>
        </check>

    </constraints>

    <help>
        <variable name='ad_public_address'>Adresse du service AD exposée sur le réseau</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
